/*
 * Created on: Jul 28, 2024
 */

#include <stdint.h>

#include "btn.h"
#include "led.h"
#include "ledprog_pep.h"
#include "ledprog_rgb.h"



#define MODE_RUN                0
#define MODE_PROGRAM            1
#define MODE_PARAMETER          2

#define UI_CONF_SAVE_TIMEOUT    160

#define UI_PROG_RUNTIME_MIN     (128*15)    // 15 seconds
#define UI_PROG_RUNTIME_MAX     (128*120)   // 120 seconds



static uint8_t mode = MODE_RUN;
static uint8_t tick = 0;



void ui_btn_push_cb(uint8_t idx)
{

}

void ui_btn_hold_cb(uint8_t idx)
{

}

void ui_btn_release_cb(uint8_t idx)
{

}



void ui_init()
{
    btn[0].hold = 330 >> 1;
    btn[0].repeat = 0; // (1000 / 20) >> 1;
    btn[0].cb_push = ui_btn_push_cb;
    btn[0].cb_hold = ui_btn_hold_cb;
    btn[0].cb_release = ui_btn_release_cb;

    btn[1].hold = 330 >> 1;
    btn[1].repeat = 0;
    btn[1].cb_push = ui_btn_push_cb;
    btn[1].cb_hold = ui_btn_hold_cb;
    btn[1].cb_release = ui_btn_release_cb;
}

void ui_render()
{
    tick++;

    ledprog_pep[0](tick);
}
